org.apache.hc.client5.http.methods

## Class HttpGet

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.AbstractHttpMessage
    - - org.apache.hc.client5.http.methods.AbstractExecutionAwareRequest
      - - org.apache.hc.client5.http.methods.HttpRequestBase
        - - org.apache.hc.client5.http.methods.HttpGet

All Implemented Interfaces:
  Serializable, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.hc.core5.http.HttpMessage<org.apache.hc.core5.http.HttpEntity>, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHead

    @NotThreadSafe
    public class HttpGet
    extends HttpRequestBase

HTTP GET method.

The HTTP GET method is defined in section 9.3 of RFC2616:

> The GET method means retrieve whatever information (in the form of an entity) is identified by the Request-URI. If the Request-URI refers to a data-producing process, it is the produced data which shall be returned as the entity in the response and not the source text of the process, unless that text happens to be the output of the process.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HttpGet()`
`HttpGet(String uri)`
`HttpGet(URI uri)`

### Method Summary

Methods
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

### Methods inherited from class org.apache.hc.client5.http.methods.HttpRequestBase

`getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

### Methods inherited from class org.apache.hc.client5.http.methods.AbstractExecutionAwareRequest

`abort, completed, isAborted, reset, setCancellable`

### Methods inherited from class org.apache.hc.core5.http.message.AbstractHttpMessage

`addHeader, getEntity, setEntity, setHeader`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.client5.http.methods.HttpUriRequest

`abort, isAborted`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getEntity, removeHeader, removeHeaders, setEntity, setHeader, setHeader, setHeaders`

### Methods inherited from interface org.apache.hc.core5.http.MessageHead

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpGet

    public HttpGet()

#### HttpGet

    public HttpGet(URI uri)

#### HttpGet

    public HttpGet(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

### Method Detail

#### getMethod

    public String getMethod()

Description copied from interface: `HttpUriRequest`
Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Specified by:
  `getMethod` in interface `HttpUriRequest`
Specified by:
  `getMethod` in class `HttpRequestBase`